package com.hzya.frame.grpU8.nxproof.gbizbsyrec.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.gbizbsyrec.dao.IGbiZbsyrecDao;
import com.hzya.frame.grpU8.nxproof.gbizbsyrec.entity.GbiZbsyrecEntity;
import org.springframework.stereotype.Repository;

/**
 * @Author:hecan
 * @Description:
 * @params:
 * @return:
 * @Date: 2023/6/19 14:48
 */
@Repository(value = "gbiZbsyrecDao")
public class GbiZbsyrecDaoImpl extends MybatisGenericDao<GbiZbsyrecEntity,String> implements IGbiZbsyrecDao {
    @DS("#entity.dataSourceCode")
    @Override
    public Integer deleteData( GbiZbsyrecEntity entity) {
        Integer o = super.delete(getSqlIdPrifx() + "GbiZbsyrecEntity_delete_mlid", entity);
        return o;
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer saveData( GbiZbsyrecEntity entity) {
        Integer o = super.insert(getSqlIdPrifx() + "GbiZbsyrecEntity_insert", entity);
        return o;
    }
}
